Name:           framework-ectool
Version:        2024.06.23
Release:        1%{?dist}
Summary:        Repackaged ectool for Framework laptops

License:        BSD
URL:            https://github.com/DHowett/ectool
Source0:        https://github.com/DHowett/ectool/archive/0ac6155abbb7d4622d3bcf2cdf026dde2f80dad7.tar.gz#/framework-ectool-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libusb1-devel

%description
A repackaging of the ectool utility for use on Framework laptops.

%prep
%autosetup -n ectool-0ac6155abbb7d4622d3bcf2cdf026dde2f80dad7

%build
%cmake .
%cmake_build

%install
install -D -m0755 redhat-linux-build/src/ectool %{buildroot}/usr/sbin/framework-ectool

%files
%license LICENSE
%doc README.md
/usr/sbin/framework-ectool

%changelog
* Thu Jun 05 2025 Casey Harkins <charkins@pobox.com> - 2024.06.23-1
- Initial RPM release for Framework ectool
